<?xml version="1.0" encoding="UTF-8"?>
<queryMap desc="炼钢产线排产基础参数">

	<query id="FrmBaseDeviation.query" desc="查询">
             <![CDATA[
 SELECT 
       T.PLINE_CODE,
       T.PLINE_NAME,
       T.PLAN_ROUTE,
       T.PRO_POINT,
       T.DEVIATION_NO1,
       T.DEVIATION_UN1,
       T.DEVIATION_NO2,
       T.DEVIATION_NU2,
       T.CREATE_NAME,
       TO_CHAR(T.CREATE_TIME, 'YYYY-MM-DD HH24:MI:SS') CREATE_TIME,
       T.UPDATE_NAME,
       TO_CHAR(T.UPDATE_TIME, 'YYYY-MM-DD HH24:MI:SS') UPDATE_TIME
 FROM COM_BASE_DEVIATION T
 WHERE 1=1 order by T.PLINE_CODE ASC
                 ]]>
	</query>

	<query id="FrmBaseDeviation.add" desc="新增">
             <![CDATA[
   INSERT INTO COM_BASE_DEVIATION(
        PLINE_CODE,
        PLINE_NAME,
        PLAN_ROUTE,
        PRO_POINT,
        DEVIATION_NO1,
        DEVIATION_UN1,
        DEVIATION_NO2,
        DEVIATION_NU2,
        CREATE_NAME,
        CREATE_TIME)
 VALUES( 
        ?,
        ?,
        ?,
        ?,
        ?,
        ?,
        ?,
        ?,
        ?,
        SYSDATE)
                 ]]>
	</query>


	<query id="FrmBaseDeviation.update" desc="修改">
             <![CDATA[
  UPDATE COM_BASE_DEVIATION T
   SET 
        T.DEVIATION_NO1 =?,
        T.DEVIATION_UN1 =?,
        T.DEVIATION_NO2 = ?,
        T.DEVIATION_NU2 = ?,
        T.UPDATE_NAME = ?,
        T.UPDATE_TIME = SYSDATE
 WHERE T.PLINE_CODE =?
AND T.PLAN_ROUTE = ?
AND T.PRO_POINT = ?
                 ]]>
	</query>

	<query id="FrmBaseDeviation.delete" desc="删除">
             <![CDATA[
           DELETE FROM COM_BASE_DEVIATION T WHERE T.PLINE_CODE =?
AND T.PLAN_ROUTE = ?
AND T.PRO_POINT = ?
                 ]]>
	</query>

	<query id="FrmBaseDeviation.checkPline" desc=" 验证产线">
             <![CDATA[
           SELECT count(1)  count FROM COM_BASE_DEVIATION T WHERE T.PLINE_CODE =?
AND T.PLAN_ROUTE = ?
AND T.PRO_POINT = ?
                 ]]>
	</query>


</queryMap>